Page MenuHomePhabricator

Remove MFWatchlistRunsChangesListSpecialPageQuery and do not run ChangesListSpecialPageQuery
Closed, ResolvedPublic

Description

This task pays of some technical debt that was added to support a risky change.

In solving T206274 we dropped use of the ChangesListSpecialPageQuery hook.
The fix went into 1.32.0-wmf.26 which is now live on all wikis.

A feature flag was added to allow us to roll back in the event of a problem, but no problems have been encountered.

Acceptance criteria

  • MFWatchlistRunsChangesListSpecialPageQuery is removed from extension.json
  • SpecialMobileWatchlist doesn't run ChangesListSpecialPageQuery hook

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 1 2018, 11:56 PM
Jdlrobson triaged this task as High priority.Nov 1 2018, 11:56 PM

Paying off technical debt when low cost should be high IMO.

Change 471220 had a related patch set uploaded (by D3r1ck01; owner: Alangi Derick):
[mediawiki/extensions/MobileFrontend@master] Remove MFWatchlistRunsChangesListSpecialPageQuery & don't run related hook

https://gerrit.wikimedia.org/r/471220

xSavitar claimed this task.Nov 2 2018, 9:32 AM
xSavitar added a project: User-xSavitar.
xSavitar moved this task from Backlog to Doing [WIP] on the User-xSavitar board.
xSavitar updated the task description. (Show Details)Nov 2 2018, 9:35 AM

Change 471220 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Remove MFWatchlistRunsChangesListSpecialPageQuery & remove related hook

https://gerrit.wikimedia.org/r/471220

Jdlrobson updated the task description. (Show Details)

@D3r1ck01 I think some follow ups are needed here in includes/specials/SpecialMobileWatchlist.php.
It looks like SpecialMobileWatchList::getFormOptions and the line

$form_options = $this->getFormOptions();

can be removed.

Change 472206 had a related patch set uploaded (by D3r1ck01; owner: Alangi Derick):
[mediawiki/extensions/MobileFrontend@master] Follow up on Ic0771804f245fcd8e696

https://gerrit.wikimedia.org/r/472206

Follow up patch up and running and also, tests pass locally so I guess there was no test case for this method :)

Change 472206 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Follow up on Ic0771804f245fcd8e696

https://gerrit.wikimedia.org/r/472206

Jdlrobson closed this task as Resolved.Nov 7 2018, 10:25 PM
Jdlrobson updated the task description. (Show Details)